[Flame][Gallery]"Select" is not at middle of title.

VERIFIED FIXED

Status

Firefox OS
Gaia::Gallery
VERIFIED FIXED
3 years ago
3 years ago

People

(Reporter: Alissa(leave from Mozilla), Assigned: chens)

Tracking

unspecified
ARM
Gonk (Firefox OS)

Firefox Tracking Flags

(blocking-b2g:2.1S+, b2g-v2.1 wontfix, b2g-v2.1S verified, b2g-v2.2 unaffected)

Details

Attachments

(6 attachments)

(Reporter)

Description

3 years ago
Created attachment 8527569 [details]
1.png

[1.Description]:
[Flame][2.1][Gallery]"Select" is not at middle of title.
see attachments:1.png,2.png.
[2.Testing Steps]: 
1.Launch message.
2.New message ->Add attachments->gallery.

[3.Expected Result]: 
2.Select should be in  middle as in figure 2.png.

[4.Actual Result]: 
2."Select" is not at middle of title.

[5.Reproduction build]: 
Flame 2.1 build:
Gaia-Rev        afdfa629be209dd53a1b7b6d6c95eab7077ffcd9
Gecko-Rev       https://hg.mozilla.org/releases/mozilla-b2g34_v2_1/rev/dc3018cbdbe6
Build-ID        20141123001201
Version         34.0

[6.Reproduction Frequency]: 
Always Recurrence,3/3
 Free Test
(Reporter)

Comment 1

3 years ago
Created attachment 8527574 [details]
2.png
(Reporter)

Updated

3 years ago
status-b2g-v2.1: --- → affected

Comment 2

3 years ago
This issue dose not exist on Flame2.2:
Gaia-Rev        bdedbaf9f18a43c091ede770407d68d38582fe29
Gecko-Rev       https://hg.mozilla.org/mozilla-central/rev/8850aa0f5332
Build-ID        20141229010215
Version         37.0a1
Device-Name     flame
FW-Release      4.4.2
Reproduce rate  5/5
Created attachment 8570868 [details]
logcat

Hi Mike,
This problem can be repro on latest build of Flame2.1, could you help with it, thanks!
See attachments: Verify_logcat_1602.txt
Occurrence Time: 16:02
Rate: 3/3

Flame 2.1 build:
Build ID               20150226001720
Gaia Revision          5d3479fdd438412adee4452720856b6b771fe5cd
Gaia Date              2015-02-25 18:20:09
Gecko Revision         https://hg.mozilla.org/releases/mozilla-b2g34_v2_1/rev/0390c73a827b
Gecko Version          34.0
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20150226.035206
Firmware Date          Thu Feb 26 03:52:17 EST 2015
Bootloader             L1TC000118D0
Flags: needinfo?(mlien)
Per comment 2, the status of flame 2.2 is unaffected.
QA Whiteboard: [MGSEI-Triage+]
status-b2g-v2.2: --- → unaffected

Comment 5

3 years ago
Hi Shine, could you also help to verify if this issue can be reproduced on v2.1S?
Since this is a branch specific issue, we may only fixed on partner branch.
Flags: needinfo?(mlien) → needinfo?(yue.xia)
Created attachment 8571165 [details]
screenshoot

Hi Mike,
This problem can be repro on 2.1s 256m/512m.
See attachments: 2.1s_512m.png & logcat_2232.txt
Occurrence Time: 22:32
Rate: 3/3

2.1S_256m build:
Build ID               20150301161204
Gaia Revision          a43d64ae01ef108aa4dcc971c770fecd8416a764
Gaia Date              2015-02-26 09:24:39
Gecko Revision         https://hg.mozilla.org/releases/mozilla-b2g34_v2_1s/rev/2437280c634f
Gecko Version          34.0
Device Name            scx15_sp7715ga
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20150301.194157
Firmware Date          Sun Mar  1 19:42:09 EST 2015

2.1S_512m build:
Build ID               20150301161204
Gaia Revision          a43d64ae01ef108aa4dcc971c770fecd8416a764
Gaia Date              2015-02-26 09:24:39
Gecko Revision         https://hg.mozilla.org/releases/mozilla-b2g34_v2_1s/rev/2437280c634f
Gecko Version          34.0
Device Name            scx15_sp7715ea
Firmware(Release)      4.4.2
Firmware(Incremental)  122
Firmware Date          Thu Feb  5 12:42:58 CST 2015
Flags: needinfo?(yue.xia)
Created attachment 8571166 [details]
2.1s_512m logcat

Comment 8

3 years ago
Hi Steven, if this need to fixed on v2.1S?
status-b2g-v2.1S: --- → affected
Flags: needinfo?(styang)
UI issue. Mark it as 2.1S? for evaluating the effort. Chens, could you check it first?
blocking-b2g: --- → 2.1S?
Flags: needinfo?(styang) → needinfo?(chens)
Created attachment 8573133 [details] [review]
[gaia] shamenchens:Bug1103901-GalleryHeaderNotCenterInActivity > mozilla-b2g:v2.1s
(Assignee)

Comment 11

3 years ago
Comment on attachment 8573133 [details] [review]
[gaia] shamenchens:Bug1103901-GalleryHeaderNotCenterInActivity > mozilla-b2g:v2.1s

Hi Punam, bug 1077470 fixes this problem on master but not land in 2.1 branch, and we can't simply uplift this because of conflict. Here's patch for 2.1s device branch, could you help to review this? thanks!
Flags: needinfo?(chens)
Attachment #8573133 - Flags: review?(pdahiya)
(Assignee)

Updated

3 years ago
Assignee: nobody → chens
Comment on attachment 8573133 [details] [review]
[gaia] shamenchens:Bug1103901-GalleryHeaderNotCenterInActivity > mozilla-b2g:v2.1s

Looks good, Thanks for the patch!
Attachment #8573133 - Flags: review?(pdahiya) → review+
(Assignee)

Updated

3 years ago
See Also: → bug 1077470
(Assignee)

Comment 13

3 years ago
2.1s: https://github.com/mozilla-b2g/gaia/commit/59099dc90e88e84eb1c2e6e72b9ca4764e0d6b67
Status: NEW → RESOLVED
Last Resolved: 3 years ago
status-b2g-v2.1S: affected → fixed
Resolution: --- → FIXED

Updated

3 years ago
blocking-b2g: 2.1S? → 2.1S+
(Reporter)

Comment 14

3 years ago
This issue is successfully verified on 2.1s.
Reproducing rate: 0/5

2.1s 512m:
Build ID               20150409001208
Gaia Revision          f00907721b41ff90525042072f956c46e2b47ceb
Gaia Date              2015-04-07 04:34:09
Gecko Revision         https://hg.mozilla.org/releases/mozilla-b2g34_v2_1s/rev/d1387d012be4
Gecko Version          34.0
Device Name            scx15_sp7715ea
Firmware(Release)      4.4.2
Firmware(Incremental)  122
Firmware Date          Thu Feb  5 12:42:58 CST 2015

Per comment5 and comment11, this issue may be won't fix on 2.1, so change to verified, if needed reopen it agian.
Status: RESOLVED → VERIFIED
status-b2g-v2.1S: fixed → verified

Updated

3 years ago
status-b2g-v2.1: affected → wontfix
You need to log in before you can comment on or make changes to this bug.